# echo Outputs text to a KVirc window
Usage
    echo [-d] [-w=<window_id>] [-i=<color_set>] [-n] <text>
Description
Outputs the <text> to the current window. If the 'w' switch is present, outputs the <text> to the specified window instead of the current one. The <window_id> parameter is the global id of the window that has to be used. If the 'i' switch is given, it uses the specified icon scheme (icon and colors), otherwise it uses the default one (0). If the -d switch is used then the output is sent to a special window called "Debug" (the window is created if not existing yet). This is useful for script debugging purposes (you get the output in Debug regardless of the window that the executed command is attacched to). The KVIrc view widgets support clickable links that can be realized by using special escape sequences. The 'n' switch disables timestamping so you can output your own timestamp or not timestamp at all.
Switches
-w=<window_id> | --window=<window_id>
Causes the output to be redirected to the window specified by <window_id>
-i=<color_set> | --color-set=<color_set>
Causes the message to use the specified icon scheme (icon and colors).
-n | --no-timestamp
Disables the message timestamping
-d | --debug
Send the output to the debug window (takes precedence over -w)
Syntax Specification
    echo [-d] [-w=<window_id>] [-i=<color_set>] [-n] <text>
Examples
    echo Hey! this is my first echo test!
    echo -i=$msgtype(parsererror) this has the colors of the parser error messages
See also
$window, $msgtype, window naming conventions documentation

Index, Commands

KVIrc 4.2.0.6190 Documentation
Generated by nobody at Thu May 29 11:24:48 2014